## OGMRipChapters

OGMRipChapters — A codec to extract chapters information

## Functions

OGMJobSpawn * | ogmrip_chapters_new ()
const gchar * | ogmrip_chapters_get_label ()
void | ogmrip_chapters_set_label ()

## Types and Values

struct | OGMRipChapters
struct | OGMRipChaptersClass

## Object Hierarchy

        GObject
        ╰── OGMJobSpawn
            ╰── OGMJobContainer
                ╰── OGMJobBin
                    ╰── OGMRipCodec
                        ╰── OGMRipChapters

## Includes

    #include <ogmrip-chapters.h>

## Description

## Functions

### ogmrip_chapters_new ()

    OGMJobSpawn *
    ogmrip_chapters_new (OGMDvdTitle *title,
                         const gchar *output);

Creates a new OGMRipChapters.

#### Parameters

title | An OGMDvdTitle |
output | The output file |

#### Returns

The new OGMRipChapters

### ogmrip_chapters_get_label ()

    const gchar *
    ogmrip_chapters_get_label (OGMRipChapters *chapters,
                               guint n);

Returns the label of this chapter.

#### Parameters

chapters | An OGMRipChapters |
n | A chapter number |

#### Returns

The label

### ogmrip_chapters_set_label ()

    void
    ogmrip_chapters_set_label (OGMRipChapters *chapters,
                               guint n,
                               const gchar *label);

Sets the label this chapter.

#### Parameters

chapters | An OGMRipChapters |
n | A chapter number |
label | A label |

## Types and Values

### struct OGMRipChapters

    struct OGMRipChapters;

### struct OGMRipChaptersClass

    struct OGMRipChaptersClass {
      OGMRipCodecClass parent_class;
    };